% This test program computes an extremely simple cross-recurrence analysis

fix1=[1 2 3 4 5 6 7 8 9 10]';
fix2=[4 5 6 7 8 9 10 11 12 13]';

param.linelength = 2;
param.radius=0.1;
result=Cra(fix1,fix2,param);
PlotRecurrenceMatrix(result.recmat,'RecurrenceMatrix');

display(...
['nRec=' num2str(result.nrec) ' %Rec=' num2str(result.rec) ...
 ' %Det=' num2str(result.det) ' MeanLine=' num2str(result.meanline) ...
 ' MaxLine=' num2str(result.maxline) ' Ent=' num2str(result.ent) ...
 ' RelEnt=' num2str(result.relent) ...
 ' Corm=' num2str(result.corm) ...
 ' Lam=' num2str(result.lam) ' TT=' num2str(result.tt)]);
